apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /
  generation: 1
  name: new-westfutu
  namespace: default
  resourceVersion: "22425684"
  uid: be2d582a-ff57-447b-ba16-84fd5145ad5a
spec:
  ingressClassName: nginx
  tls:
  - hosts:
    - new.westfutu.com
  - secretName: west-secret
  rules:
  - host: new.westfutu.com
    http:
      paths:
      - backend:
          service:
            name: nginx
            port:
              number: 80
        path: /
        pathType: Prefix
status:
  loadBalancer: {}
